# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXNewMultiGrid

Function

Creates a new MultiGrid Object.

Syntax
`
#include <dx/dx.h>
MultiGrid DXNewMultiGrid()
`

Functional Details

The new Object is a Group Object that can contain a Field or Composite Field Objects.

The Fields in a MultiGrid Object must all be the same data type and have the same connections element type, but the combined positions are not required to fill space exactly. The Fields may overlap or there may be space between them. An "invalid positions" component may be used to select the preferred Field in the overlapping case.

The Group created can be deleted with DXDelete. See 4.2 , "Memory Management".

Return Value

Returns the MultiGrid Object or returns `NULL` and sets an error code.

See Also

`DXCreateInvalidComponentHandle, DXNewCompositeField, DXSetMember`

"MultiGrid Groups".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]